<?php
  echo "Entrez 3 notes        : ";
  fscanf(STDIN,"%f %f %f",$n1,$n2,$n3);
  echo "Entrez 3 coefficients : ";
  fscanf(STDIN,"%f %f %f",$c1,$c2,$c3);
  $Moyenne=( ($n1*$c1)+($n2*$c2)+($n3*$c3) )/($c1+$c2+$c3) ;
  printf("Votre moyenne est : %+6.2f\n",$Moyenne);
  switch (true)
  {
    case (($Moyenne >= 0) && ($Moyenne < 10))  :
             echo "Recalé".PHP_EOL;
             break;
    case (($Moyenne >= 10) && ($Moyenne < 12)) :
             echo "Mention PASSABLE".PHP_EOL;
             break ;
    case (($Moyenne >= 12) && ($Moyenne < 14)) :
             echo "Mention ASSEZ BIEN".PHP_EOL;
             break ;
    case (($Moyenne >= 14) && ($Moyenne < 16)) :
             echo "Mention BIEN".PHP_EOL;
             break ;
    case (($Moyenne >= 16) && ($Moyenne <= 20)):
             echo "Mention TRES BIEN".PHP_EOL;
             break ;
    default: echo "Notes ou Coefficients erronnés".PHP_EOL;
             break;
  }
?>
